# TODO: switch to uniworx registry debian image
FROM debian:12.5

RUN apt-get -y update

# Basic dependencies
RUN apt-get -y install curl npm

# Build and watch dependencies
RUN apt-get -y install exiftool

# RUN npm install -g n
# RUN n 14.19.1

# RUN mkdir /fradrive
# VOLUME [ "/fradrive" ]
# WORKDIR /fradrive

# RUN pwd && ls -a . && make list

WORKDIR /fradrive

# RUN chown -R `id -u`:`id -g` "/.npm"

ENV FRADRIVE_MAKE_TARGET=frontend-build
ENTRYPOINT make -- ${FRADRIVE_MAKE_TARGET}